com.taosdata.jdbc.ws.tmq.entity

## Class SubscribeResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.tmq.entity.SubscribeResp

    public class SubscribeResp
    extends CommonResp

### Constructor Summary

Constructors
Constructor and Description
`SubscribeResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getVersion()`
`void` `setVersion(String version)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscribeResp

    public SubscribeResp()

### Method Detail

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion(String version)